<div class="card">
  <div class="card-divider">
    <h2 class="card-title flex--sbc">
      <%= t(".title") %>
      <%= render partial: "bulk-actions" %>
    </h2>
  </div>

  <div class="card-section">
    <div class="table-scroll">
      <table class="table-list">
        <thead>
          <tr>
            <th><%= t("models.debate.fields.title", scope: "decidim.debates") %></th>
            <th><%= t("models.debate.fields.start_time", scope: "decidim.debates") %></th>
            <th><%= t("models.debate.fields.end_time", scope: "decidim.debates") %></th>
            <th class="actions"><%= t("actions.title", scope: "decidim.debates") %></th>
          </tr>
        </thead>
        <tbody>
          <% debates.each do |debate| %>
            <tr data-id="<%= debate.id %>">
              <td>
                <%= link_to translated_attribute(debate.title), resource_locator(debate).path, target: :blank %><br>
              </td>
              <td>
                <% if debate.start_time %>
                  <%= l debate.start_time, format: :long %>
                <% end %>
              </td>
              <td>
                <% if debate.end_time %>
                  <%= l debate.end_time, format: :long %>
                <% end %>
              </td>
              <td class="table-list__actions">
                <% if allowed_to? :update, :debate, debate: debate %>
                  <%= icon_link_to "pencil", edit_debate_path(debate), t("actions.edit", scope: "decidim.debates"), class: "action-icon--edit" %>
                <% end %>

                <% if allowed_to? :delete, :debate, debate: debate %>
                  <%= icon_link_to "circle-x", debate_path(debate), t("actions.destroy", scope: "decidim.debates"), method: :delete, class: "action-icon--remove", data: { confirm: t("actions.confirm_destroy", scope: "decidim.debates") } %>
                <% end %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
</div>
